# SSL_Asynch_Stream.h File Reference

`#include "SSL_Context.h"`
`#include "SSL_Asynch_BIO.h"`
`#include "ace/Asynch_IO_Impl.h"`
`#include "ace/Message_Block.h"`
`#include "ace/Synch_Traits.h"`
`#include "ace/Thread_Mutex.h"`

Include dependency graph for SSL_Asynch_Stream.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_SSL_Asynch_Stream
| This class is a factory for starting off asynchronous reads on a stream. This class forwards all methods to its implementation class. More...

## Detailed Description

Id
  SSL_Asynch_Stream.h,v 1.17 2005/12/04 01:57:03 ossama Exp

Author:
  Alexander Libman <alibman@baltimore.com>